import 'package:cargocalculaterapp/core/error/failure.dart';
import 'package:cargocalculaterapp/core/usecase/usecase.dart';
import 'package:cargocalculaterapp/features/home/data/models/order_single_response.dart';
import 'package:dartz/dartz.dart';

import '../repository/home_repository.dart';

class OrderSingleUseCase extends UseCase<OrderSingleResponse, String> {
  final HomeRepository repository;

  OrderSingleUseCase(this.repository);

  @override
  Future<Either<Failure, OrderSingleResponse>> call(String params) async {
    return await repository.orderSingle(params);
  }
}
